//*****************************************
// AT mega328P-PU(28pin 300mil SDIP) Fifteen IN-17 Clock Program
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
// File Name:eep_dat.c
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//*****************************************
#include	<avr/interrupt.h>
#include	<avr/eeprom.h>

#include	"fifteen_in17_clock.h"
#include	"port_bit.h"
#include	"timer.h"
#include	"ad_conv.h"
#include	"nixie.h"
#include	"uart.h"
#include	"eep_dat.h"

uint16_t	eep_bps_600 EEMEM = BPS_600;			// UOOaor̒l
static	unsigned short	eep_bfs[10];

//*****************************************
//@ddoqnl BPS_600 ǂݍ
//*****************************************
unsigned short	read_eep_bps_600(void)
{
	unsigned short	r = 0;

	eeprom_busy_wait();
	eep_bfs[0] = eeprom_read_word(&eep_bps_600);		// Ǐo
	if((800 <= eep_bfs[0])&&(eep_bfs[0] <= 900)){
		r = eep_bfs[0];
	}else{
		r = BPS_600;
	}

	return(r);
}

//*****************************************
//@ddoqnl BPS_600 
//*****************************************
void	write_eep_bps_600(unsigned short us)
{
	eep_bfs[0] = us;
	eeprom_busy_wait();
	eeprom_write_word(&eep_bps_600, eep_bfs[0]);		// 
	eeprom_busy_wait();
}

